#!/usr/bin/perl

# ---- mauireswww-configuration.

# Where showres (and showq) is
$mauidir='/usr/bin/';

# List of nodes. Can be a textfile with just one node per line. Can also
# be a pbs node file, in which case the 'np=' values are also used for
# showing <1 node jobs.
$nodelist='/var/spool/PBS/nodes-copy-for-mauireswww';

# How many days to show
$daystoshow = 15;

# Pixels per hour
$pixelsperhour = 10;

# Height of one node. Note: Should be divideable by any CPU count you have
# in your cluster machines if you want to use the splitnodes feature.
$nodeheight = 12;

# Prefix for the images for the graphs. Relative or absolute doesn't matter,
# just gets written to the HTML like that.
# '' is okay if pictures are in the same dir as the script.
$imgdir = '/mauires/';

# Split nodes into CPUs so you see jobs with tasks < np properly?
# Warning: this requires a nodelist with 'np=X' to work! Also makes the
# output a lot bigger.
$splitnodes = 1;

# Cluster Name
$clustername = 'I did not configure my clustername';

# Write HTML Header and Footer in standalone mode?
$headandfootinstandalone = 1;

# Show Reservation names?
$showresnames = 1;

# Reservation Coloring Rules. This is a list of regexps and their resulting
# color. The list is traversed until a match is found. If no match is found,
# the default is 'red'. However, it is recommended to end the list with a
# default entry '.*'.
@rescoloringrules = ( [ '^devel',         'yellow' ],
                      [ '^.{0,1}express', 'yellow' ],
                      [ '^crash',         'black' ],
                      [ '^broken',        'black' ],
                      [ '.*',             'red' ]
                    );

# Link to Ganglia Jobmonarch? Set to '' if you don't want such a link, or
# to the correct Ganglia URL if you want. The job ID will be inserted into
# that URL where you write '%ID%'.
$jobmonarchurl = 'http://someserver/ganglia/addons/q-leap?c=Cluster32&id=%ID%';

# Show job status below the graphical representation
$showjobstatus = 1;

# Page Header and Footer. You can e.g. insert a logo or smth. there.
# Note: It is imperative that you put the variable '$mauiresstyles' into
# a <style> section in <head>.
$pageheader = <<EOHEAD;
  <html>
  <head>
    <title>$clustername Status</title>
    <style>
      /* mauireswww */
      $mauiresstyles
    </style>
    <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  </head>
  <body>
    <img src="http://www.company.de/logo.gif" alt="Logo" name="Logo" title="LOGO" align="right">
    <h1>$clustername Status</h1>
EOHEAD
$pagefooter = <<EOFOOT;
    <hr noshade>
    <font size="-2"><i>mauireswww-perl</i></font>
  </body>
  </html>
EOFOOT

# ------------- End of configuration ------------------------------------


# DO NOT ever touch the following line. The last line of the script has to be
# '1;'. Period.
1;
